 #=============================================================================#
 # Copyright (c) 2007, 2025 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================#

Variable_SourceFilePath_description= Returns the workspace relative path of the source document file.
Variable_InFileResourceVars_description_Resource_term= step input file
Variable_InFilePath_description= Returns the workspace relative path of the step input file.
Variable_OutFilePath_description= Returns the workspace relative path of the step output file.
Variable_OutFileExt_description= Returns the file name extension of the step output file, defined by the output format.

Format_SourceDoc_label= Source Document / {0}
Format_AutoByInDocYaml_label= As specified in doc (YAML)
Format_Other_label= Other
Format_Other_Info_label= Custom ({0})
Format_Output_label= Output / {0}

MainTab_name= &Main
MainTab_Overview_label= Overview
MainTab_Overview_Step_header= Step
MainTab_Overview_Run_header= Run?
MainTab_Overview_Detail_header= Detail
MainTab_WorkingDir_label= Working &Directory

StepTab_Enabled_label= &Enable in complete run
StepTab_Operations_label= Processing &Operation

StepTab_In_label= In:
StepTab_Out_label= Out:
StepTab_Out_Format_label= For&mat
StepTab_Out_FileExt_label= File e&xtension
StepTab_Out_FilePath_label= &File
StepTab_PostActions_label= Additional Actions

Preview_label= Preview Output
PreviewTab_name= Preview
PreviewTab_Operations_label= Preview &Operation

ProcessingOperation_RunLaunchConfigSettings_List_label= Launch &configuration to run:
ProcessingOperation_RunLaunchConfigSettings_New_label= Create &New
ProcessingOperation_RunLaunchConfigSettings_error_NoConfigSelected_message= Select a launch configuration for ''{0}''
ProcessingOperation_RunLaunchConfigSettings_error_NewConfigFailed_message= Creating a new launch configuration for ''{0}'' failed. Please perform it manually.
ProcessingOperation_RunLaunchConfig_task= Running {0}...
ProcessingOperation_RunLaunchConfig_ForPreview_task= Opening ''{1}'' using {0}...
ProcessingOperation_RunLaunchConfig_Config_error_SpecMissing_message= The spec of launch configuration to run is missing.
ProcessingOperation_RunLaunchConfig_Config_error_DefMissing_message= The specified launch configuration ''{0}'' is missing.

ProcessingOperation_RunExternalProgram_label= Run Program (External Tool)
ProcessingOperation_RunExternalProgram_Wd_error_SpecInvalid_message= In spec of working directory, {0}
ProcessingOperation_RunExternalProgram_Args_error_SpecInvalid_message= In spec of program arguments, {0}

ProcessingOperation_CheckOutput_label= Check Output
ProcessingOperation_CheckOutput_task= Checking Output of {0}...
ProcessingOperation_CheckOutput_error_FileNotExists_message= Output file ''{0}'' is missing ({1}).

ProcessingOperation_CloseInDocViewer_label= Close file in Document Viewer(s)
ProcessingOperation_OpenUsingDocViewer_label= Open file using Document Viewer (External Tool)

ProcessingOperation_OpenUsingEclipse_label= Open file using Eclipse
ProcessingOperation_OpenUsingEclipse_task= Opening ''{0}'' using Eclipse...
ProcessingOperation_OpenUsingEclipse_error_message= Failed to open ''{0}'' ({1}).

StepTab_OpenFile_Disabled_label= Disabled
StepTab_OpenFile_SingleStep_label= When running single step action
StepTab_OpenFile_Always_label= Always

ProcessingAction_ProcessAndPreview_label= &Run Tool
ProcessingAction_ProcessDoc_label= &Process Document
ProcessingAction_Weave_label= &Weave
ProcessingAction_ProduceOutput_label= Pr&oduce Output
ProcessingAction_PreviewOutput_label= Pre&view Output

ProcessingConfig_InitOperation_error_Failed_message= Failed to initialize operation {0} for {1}.
ProcessingProcess_label= {0} ''{1}'' for ''{2}''
ProcessingProcess_error_UnexpectedError_message= An unexpected error occurred when running the doc processing tool.
ProcessingProcess_RunInContext_error_Failed_message= Failed to start operations in {0}.
ProcessingProcess_RunInContext_error_UnexpectedError_message= An unexpected error occurred while running operations in {0}.
ProcessingProcess_RunOperation_error_Failed_message= An error occurred while executing {0} ({1}).
ProcessingProcess_RunOperation_error_Cancelled_message= Cancelled while executing {0} ({1}).
ProcessingProcess_RunOperation_error_UnexpectedError_message= An unexpected error occurred while executing {0} ({1}).
